---
updatedAt: 2026-07-26T13:21:38.000Z
---

Fetch the complete documentation index at: https://docs.noves.fi/llms.txt. Use this file to discover all available pages before exploring further.

# /{chain}/featuredApps/{providerParty}/activity/rewards

Returns app rewards received by the Featured App during the requested time window.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Canton API",
    "description": "Access public Canton updates, balances, prices, rewards, and more. Set up your own streams and alerts. Fetch fully reconciliable, accounting-grade data. Powered by Noves.",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://api.canton.noves.fi/"
    }
  ],
  "paths": {
    "/{chain}/featuredApps/{providerParty}/activity/rewards": {
      "get": {
        "tags": [
          "FeaturedApps"
        ],
        "summary": "/{chain}/featuredApps/{providerParty}/activity/rewards",
        "description": "Returns app rewards received by the Featured App during the requested time window.",
        "parameters": [
          {
            "name": "chain",
            "in": "path",
            "description": "Chain name. Use a chain returned by `GET /chains`.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "canton",
              "example": "canton"
            }
          },
          {
            "name": "providerParty",
            "in": "path",
            "description": "Featured App provider party.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "startTimestamp",
            "in": "query",
            "description": "Start timestamp to filter results by (Unix timestamp). Optional.",
            "style": "form",
            "schema": {
              "maximum": 253402300799,
              "minimum": -62135596800,
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "endTimestamp",
            "in": "query",
            "description": "End timestamp to filter results by (Unix timestamp). Optional.",
            "style": "form",
            "schema": {
              "maximum": 253402300799,
              "minimum": -62135596800,
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "apiKey",
            "in": "header",
            "description": "API Key for Canton API. To generate an API Key, visit https://app.noves.fi",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "demokey"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FeaturedAppRewardsResponseDto"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "502": {
            "description": "Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ApiPeriodDto": {
        "required": [
          "endTime",
          "startTime"
        ],
        "type": "object",
        "properties": {
          "startTime": {
            "type": "string",
            "description": "Inclusive start of the response window (ISO 8601).",
            "format": "date-time"
          },
          "endTime": {
            "type": "string",
            "description": "Exclusive end of the response window (ISO 8601).",
            "format": "date-time"
          }
        },
        "additionalProperties": false,
        "description": "Resolved half-open query period."
      },
      "FeaturedAppRewardRecipientDto": {
        "required": [
          "count",
          "party",
          "totalCc",
          "truncated"
        ],
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "description": "Number of app reward events.",
            "format": "int64"
          },
          "totalCc": {
            "minLength": 1,
            "type": "string",
            "description": "Total app rewards in CC as a decimal string."
          },
          "totalUsd": {
            "type": "string",
            "description": "Total app rewards in USD as a decimal string, or null when USD valuation is unavailable.",
            "nullable": true
          },
          "truncated": {
            "type": "boolean",
            "description": "True when an upstream aggregation limit truncated the totals."
          },
          "party": {
            "minLength": 1,
            "type": "string",
            "description": "Reward recipient party."
          }
        },
        "additionalProperties": false,
        "description": "App rewards received by one recipient party."
      },
      "FeaturedAppRewardTotalsDto": {
        "required": [
          "count",
          "totalCc",
          "truncated"
        ],
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "description": "Number of app reward events.",
            "format": "int64"
          },
          "totalCc": {
            "minLength": 1,
            "type": "string",
            "description": "Total app rewards in CC as a decimal string."
          },
          "totalUsd": {
            "type": "string",
            "description": "Total app rewards in USD as a decimal string, or null when USD valuation is unavailable.",
            "nullable": true
          },
          "truncated": {
            "type": "boolean",
            "description": "True when an upstream aggregation limit truncated the totals."
          }
        },
        "additionalProperties": false,
        "description": "App reward totals."
      },
      "FeaturedAppRewardsResponseDto": {
        "required": [
          "period",
          "recipients",
          "summary"
        ],
        "type": "object",
        "properties": {
          "period": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ApiPeriodDto"
              }
            ],
            "description": "Resolved query period."
          },
          "summary": {
            "allOf": [
              {
                "$ref": "#/components/schemas/FeaturedAppRewardTotalsDto"
              }
            ],
            "description": "App rewards received across all included recipients."
          },
          "recipients": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/FeaturedAppRewardRecipientDto"
            },
            "description": "App rewards received by each included recipient party."
          }
        },
        "additionalProperties": false,
        "description": "App rewards received by a Featured App."
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      }
    }
  }
}
```